require "numru/ggraph"
include NumRu

vnames = ['VIH2OVap']
#vnames = ['VIH2OCld']
#dir    = '/hagukumu/yot/work/dcmodel/dcpam/dcpam5-2013-03-02_src-20130302-CalModForAMIP_CalcForSample_snpack_mpi_whale03-1/practice/Earth_T42L48_AdvSemiLag_CldAdv_CldLT0420s_WithDCA_dt05min_196901-197812/util_s2p-2013-05-24/out/'
dir    = '../..'
dir    = '../../Earth_T170L26_CldT253.15-273.15K_RASIPr0.900PrA0.05DCR1.0CWF0SF0.10_LL91I0.2_CldSmplIEvA1.00LTW01320sI12000s_CC1.0_GWDS0.97L0100km_Sn010_NoSP_TTSLVD-07_FreqOutput/util_s2p-2014-02-28/out'
dir    = '..'
dir    = '../util_vi-2015-11-14/out'


figdir = 'figs'
dirname = figdir
if !Dir.exist?( dirname )
  print "A directory, " + dirname + ", is not exist.\n"
  exit
end

if vnames[0] == 'VIH2OCld'
  ncfn  = dir + '/' + 'VIH2OLiq' + '.nc'
  gphys = GPhys::NetCDF_IO.open(ncfn, 'VIH2OLiq')
else
  ncfn  = dir + '/' + vnames[0] + '.nc'
  gphys = GPhys::NetCDF_IO.open(ncfn, vnames[0])
end

time = gphys.coord('time').val
tm = gphys.shape[-1]

ts = 0
te = tm - 1
#ts = 0
#te = 4 * 365
#ts = 4 * 365 * 19
#te = 4 * 365 * 20
#ts = 4 * 365 * 9
#te = ts + 4
#ts = 2 * 365 * 4
#te = 3 * 365 * 4 - 1


for ivar in 0..(vnames.length-1)
  for t in ts..te
#  for t in ts..ts
#  for t in ts..(ts+10)
    p vnames[ivar] + ' at time=' + time[t].to_s

    system('ruby draw.rb ' + dir + ' ' + vnames[ivar] + ' ' + t.to_s )

    com = sprintf( "mv dcl.pdf " + figdir + "/dcl_"+"%d.pdf", t )
    system(com)

#    # tif 842x595 -> jpg 1024x512
#    system("convert -rotate 90 -background white -flatten dcl.pdf dcl.tif")
#    system("convert -crop 746x373+33+72 -resize 1024x512 dcl.tif dcl.jpg")
#    # cut prime meridian
##    system("convert -crop 742x371+34+72 -resize 1024x512 dcl.tif dcl.jpg")
#    system("convert -crop 744x372+33+72 -resize 1024x512 dcl.tif dcl.jpg")
##    system("convert -crop 743x371+33+72 -resize 1024x512 dcl.tif dcl.jpg")
#    # tif 1111x785 -> jpg 1024x512
##    system("convert -rotate 90 -background white -flatten -resize 1111x785 dcl.pdf dcl.tif")
##    system("convert -crop 1024x512+44+85 dcl.tif dcl.jpg")
##    com = sprintf( "mv dcl.jpg "+figdir+"/dcl_"+vnames[ivar]+"_"+"t%0#{6}d.jpg", t )
#    com = sprintf( "mv dcl.jpg "+figdir+"/map_"+"%d.jpg", t )
#    system(com)
##    com = sprintf( "mv dcl.ps  "+figdir+"/dcl_"+vnames[ivar]+"_"+"t%0#{6}d.ps" , t )
##    system(com)
  end
end

