#!/usr/bin/ruby

indir  = "./figs"
tifdir = "./figs-tif"
jpgdir = "./map"

dirname = indir
if !Dir.exist?(dirname)
  print "A directory, " + dirname + ", is not exist.\n"
  exit
end
dirname = tifdir
if !Dir.exist?(dirname)
  print "A directory, " + dirname + ", is not exist.\n"
  exit
end
dirname = jpgdir
if !Dir.exist?(dirname)
  print "A directory, " + dirname + ", is not exist.\n"
  exit
end

Dir::foreach(indir) {|fn|
  if fn != "." && fn != ".." then
    infn = indir + "/" + fn
    tiffn = tifdir + "/" + fn[0..-5] + ".tif"
    jpgfn = jpgdir + "/map" + fn[3..-5] + ".jpg"
    com = "convert -rotate 90 -background white -flatten " + infn + " " + tiffn
    puts com
    system(com)


    # tif 842x595 -> jpg 1024x512
    com = "convert -crop 704x352+55+112 -resize 1024x512 " + tiffn + " " + jpgfn
    # cut prime meridian
    com = "convert -crop 702x351+55+112 -resize 1024x512 " + tiffn + " " + jpgfn

    puts com
    system(com)
  end
}
